summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVinayak Hegde <vinayak@gluster.com>2009-11-02 03:28:31 -0800
committerVijay Bellur <vijay@gluster.com>2009-11-02 21:45:15 +0530
commit733eae6b291ff20c8b8c798c62dc4150e60657b0 (patch)
tree319a6fb09ed96c19580c560d3f8ac9b98e1b4b2c
parent15db7ba84e7a9f31683bc2cadeb960c37b6d9bde (diff)
Regression testcase for bug-27
Signed-off-by: Vijay Bellur <vijay@gluster.com>
-rw-r--r--27/regr/spec_files/client1.vol9
-rw-r--r--27/regr/spec_files/server1.vol30
-rwxr-xr-x27/regr/testcase24
3 files changed, 63 insertions, 0 deletions
diff --git a/27/regr/spec_files/client1.vol b/27/regr/spec_files/client1.vol
new file mode 100644
index 0000000..3ac2a94
--- /dev/null
+++ b/27/regr/spec_files/client1.vol
@@ -0,0 +1,9 @@
+volume client1
+ type protocol/client
+ option transport-type tcp
+ option remote-port 9321
+ option remote-host 127.0.0.1
+ option remote-subvolume brick
+end-volume
+
+
diff --git a/27/regr/spec_files/server1.vol b/27/regr/spec_files/server1.vol
new file mode 100644
index 0000000..7b4c53a
--- /dev/null
+++ b/27/regr/spec_files/server1.vol
@@ -0,0 +1,30 @@
+volume posix
+ type storage/posix
+ option directory /share/tickets/27/regr/export/export1
+end-volume
+
+volume trash
+ type testing/features/trash
+ option trash-dir /.trashcan
+ subvolumes posix
+end-volume
+
+volume locks
+ type features/locks
+ subvolumes trash
+end-volume
+
+volume brick
+ type performance/io-threads
+ option thread-count 8
+ subvolumes locks
+end-volume
+
+volume server
+ type protocol/server
+ option transport-type tcp
+ option listen-port 9321
+ option auth.addr.brick.allow *
+ subvolumes brick
+end-volume
+
diff --git a/27/regr/testcase b/27/regr/testcase
new file mode 100755
index 0000000..bcc2ff0
--- /dev/null
+++ b/27/regr/testcase
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+description="# testing/features/trashcan crashes server"
+comments="#the actual bug.... After deleting a file, if you browse to the trashcan and delete it again, the server crashes."
+
+source ../../init
+
+start_glusterfs
+
+sleep 5
+
+touch $MOUNTDIR/client1/test1 && rm $MOUNTDIR/client1/test1
+for var in `seq 1 100`; do
+ rm $MOUNTDIR/client1/.trashcan/test1 2> /dev/null
+ if [ $? -ne 0 ];then
+ not_ok $description
+ comment $comments
+ break
+ fi
+done
+
+[ $var -eq 100 ] && ok $description
+
+cleanup_glusterfs \ No newline at end of file